<?php
// @codingStandardsIgnoreFile
// @codeCoverageIgnoreStart
require_once '/usr/share/php/Fedora/Autoloader'.'/autoload.php';

\Fedora\Autoloader\Autoload::addClassMap(
    array(
        'zenddiagnostics\\check\\abstractcheck' => '/Check/AbstractCheck.php',
                'zenddiagnostics\\check\\abstractfilecheck' => '/Check/AbstractFileCheck.php',
                'zenddiagnostics\\check\\abstractmemorycheck' => '/Check/AbstractMemoryCheck.php',
                'zenddiagnostics\\check\\apcfragmentation' => '/Check/ApcFragmentation.php',
                'zenddiagnostics\\check\\apcmemory' => '/Check/ApcMemory.php',
                'zenddiagnostics\\check\\callback' => '/Check/Callback.php',
                'zenddiagnostics\\check\\checkcollectioninterface' => '/Check/CheckCollectionInterface.php',
                'zenddiagnostics\\check\\checkinterface' => '/Check/CheckInterface.php',
                'zenddiagnostics\\check\\classexists' => '/Check/ClassExists.php',
                'zenddiagnostics\\check\\couchdbcheck' => '/Check/CouchDBCheck.php',
                'zenddiagnostics\\check\\cpuperformance' => '/Check/CpuPerformance.php',
                'zenddiagnostics\\check\\dirreadable' => '/Check/DirReadable.php',
                'zenddiagnostics\\check\\dirwritable' => '/Check/DirWritable.php',
                'zenddiagnostics\\check\\diskfree' => '/Check/DiskFree.php',
                'zenddiagnostics\\check\\diskusage' => '/Check/DiskUsage.php',
                'zenddiagnostics\\check\\doctrinemigration' => '/Check/DoctrineMigration.php',
                'zenddiagnostics\\check\\extensionloaded' => '/Check/ExtensionLoaded.php',
                'zenddiagnostics\\check\\guzzlehttpservice' => '/Check/GuzzleHttpService.php',
                'zenddiagnostics\\check\\httpservice' => '/Check/HttpService.php',
                'zenddiagnostics\\check\\inifile' => '/Check/IniFile.php',
                'zenddiagnostics\\check\\jsonfile' => '/Check/JsonFile.php',
                'zenddiagnostics\\check\\memcache' => '/Check/Memcache.php',
                'zenddiagnostics\\check\\memcached' => '/Check/Memcached.php',
                'zenddiagnostics\\check\\mongo' => '/Check/Mongo.php',
                'zenddiagnostics\\check\\opcachememory' => '/Check/OpCacheMemory.php',
                'zenddiagnostics\\check\\pdocheck' => '/Check/PDOCheck.php',
                'zenddiagnostics\\check\\phpflag' => '/Check/PhpFlag.php',
                'zenddiagnostics\\check\\phpversion' => '/Check/PhpVersion.php',
                'zenddiagnostics\\check\\processrunning' => '/Check/ProcessRunning.php',
                'zenddiagnostics\\check\\rabbitmq' => '/Check/RabbitMQ.php',
                'zenddiagnostics\\check\\redis' => '/Check/Redis.php',
                'zenddiagnostics\\check\\securityadvisory' => '/Check/SecurityAdvisory.php',
                'zenddiagnostics\\check\\streamwrapperexists' => '/Check/StreamWrapperExists.php',
                'zenddiagnostics\\check\\xmlfile' => '/Check/XmlFile.php',
                'zenddiagnostics\\check\\yamlfile' => '/Check/YamlFile.php',
                'zenddiagnostics\\result\\abstractresult' => '/Result/AbstractResult.php',
                'zenddiagnostics\\result\\collection' => '/Result/Collection.php',
                'zenddiagnostics\\result\\failure' => '/Result/Failure.php',
                'zenddiagnostics\\result\\failureinterface' => '/Result/FailureInterface.php',
                'zenddiagnostics\\result\\resultinterface' => '/Result/ResultInterface.php',
                'zenddiagnostics\\result\\skip' => '/Result/Skip.php',
                'zenddiagnostics\\result\\skipinterface' => '/Result/SkipInterface.php',
                'zenddiagnostics\\result\\success' => '/Result/Success.php',
                'zenddiagnostics\\result\\successinterface' => '/Result/SuccessInterface.php',
                'zenddiagnostics\\result\\warning' => '/Result/Warning.php',
                'zenddiagnostics\\result\\warninginterface' => '/Result/WarningInterface.php',
                'zenddiagnostics\\runner\\reporter\\basicconsole' => '/Runner/Reporter/BasicConsole.php',
                'zenddiagnostics\\runner\\reporter\\reporterinterface' => '/Runner/Reporter/ReporterInterface.php',
                'zenddiagnostics\\runner\\runner' => '/Runner/Runner.php',
    ),
    __DIR__
);
// @codeCoverageIgnoreEnd
\Fedora\Autoloader\Dependencies::required([
   __DIR__ . '/_autoload.php',
]);
\Fedora\Autoloader\Dependencies::optional([
    '/usr/share/php/SensioLabs/Security/autoload.php',
    [
        '/usr/share/php/Symfony4/Component/Yaml/autoload.php',
        '/usr/share/php/Symfony3/Component/Yaml/autoload.php',
        '/usr/share/php/Symfony/Component/Yaml/autoload.php',
    ],
    [
        '/usr/share/php/GuzzleHttp6/autoload.php',
        '/usr/share/php/Guzzle/autoload.php',
    ],
    '/usr/share/php/PhpAmqpLib/autoload.php',
    [
        '/usr/share/php/Doctrine/Migrations/autoload.php',
        '/usr/share/php/Doctrine/DBAL/Migrations/autoload.php',
    ],
]);
if  (file_exists('/usr/share/pear/Predis/Autoloader.php')) {
    require_once '/usr/share/pear/Predis/Autoloader.php';
    Predis\Autoloader::register();
}
